WorldWideScripts.net Delivering the best Add-Ons in more than 37 languages.

中文(简体), English, हिन्दी/हिंदी, Español/Castellano, العربية, Русский язык, Français, 中文 (台灣), বাংলা, Bahasa Indonesia, اردو, Português, Deutsch, Bahasa Melayu (بهاس ملايو‎), 日本語 (にほんご), فارسی, Italiano, తెలుగు, Türkçe, ગુજરાતી, Język polski/polszczyzna, Tiếng Việt, ಕನ್ನಡ, Українська мова, ไทย
PHP Scripts / Miscellaneous

Advanced PHP Protection

— Add- On per WorldWideScripts.net

Iscriviti al nostro feed per rimanere sempre aggiornato!

Nuovo! Seguici come lo vuoi!


Advanced PHP Protection - CodeCanyon Item for Sale

Ads

Ad: Bluehost hosting
Caratteristiche principali:
  • Funziona con qualsiasi file.php.
  • Password personalizzata e pagine forza bruta di avvertimento.
  • Funzioni ben documentata.
  • Può essere facilmente integrato in un database creato con più utenti.
  • Modalità linea singola, proteggere qualsiasi pagina, semplicemente includendo il file.
  • Le password possono essere impostate sia come md5 di hash SHA1 o testo, se si preferisce.
  • Lato server protezione forza bruta, con la possibilità di modificare il numero massimo di tentativi e la durata del blocco.
  • Nessun database o installazione richiesta.
  • Il supporto email fornito.
  • Peso leggero.

NOTA: La sessione viene utilizzata per memorizzare il nome utente e la password in modo da non dover accedere nuovamente quando la pagina viene ricaricata. Le variabili $ _SESSION [â € ~usernameâ € ™] $ _SESSION [€ ~passwordâ € ™ â] sono utilizzati di default, se avete bisogno di usare questi nello script di essere protetto è possibile impostare nomi personalizzati utilizzando i custom_session_keys (funzione) e, vedere la documentazione per ulteriori informazioni.



Esempio Uso:
Modalità standard

 include ('sicuro / security.class.inc.php'); $ Pass = new sicura; // Imposta il nome utente e la password, in questo caso come un hash SHA1 $ Passaporti> set_credentials ('admin', '5baa61e4c9b93f3f0682250b6cf8331b7ee68fd8'); // Impostare il tipo di hash $ Password> set_hash_type ('sha1'); // Imposta alcune chiavi di sessione personalizzata $ Passaporti> custom_session_keys ('name', 'pass'); // Abilitare la protezione della forza bruta, disabilitate di default. $ Password> brute_force_protect (); // Imposta una pagina personalizzata per l'utente di inviare a se la password è entrato in modo errato. $ Password> redirect_on_fail ('http://yourdomain.com/denied.html'); // Infine applicare la protezione alla pagina. $ Password> proteggere (); echo 'contenuti protetti qui.'; 


Modalità Linea

 include ('sicuro / security.class.inc.php'); echo 'contenuti protetti qui.' 


Documentazione: http://jacekk.co.uk/code/page_protect/README.html

Esempio della pagina di login incluso
http://jacekk.co.uk/code/page_protect/example.php
Nome utente: admin
Password: limone


NOTA: questo script funziona solo se avete la versione di PHP superiore a 5.1. Ho avuto un paio di e-mail da persone che si lamentano di una pagina bianca che stavano usando PHP4. Potete controllare voi la versione utilizzando il seguente codice.
 <? Php echo phpversion (); ?> 

Mi dona € ™ t vuole a chiunque di sprecare i loro soldi.

Supporto
Se ci sono dei problemi con questa voce, il posto migliore per porsi è nel forum come verifico che almeno una volta al giorno.
http://betterphp.co.uk/board/viewforum.php?f=29

Scarica
Altri componenti di questa categoriaTutti i componenti di questo autore
CommentiDomande frequenti e risposte

Proprietà

Creato:
27 Aprile 10

Ultimo aggiornamento:
N / A

browser compatibili:
IE6, IE7, IE8, Firefox, Safari, Opera, Chrome 4, Chrome 5, file inclusi

Software Version:
PHP 5.x

Parole chiave

eCommerce, tutti gli articoli, auth, autenticazione, bruta, la forza, la password, la prevenzione, la protezione, lo script, sicuri